1.0.0 API documentation: GLM_EXT_scalar_reciprocal

| 1.0.0 API documentation

Functions
GLM_EXT_scalar_reciprocal
Stable extensions

## Functions
template<typename genType >
GLM_FUNC_DECL genType | acot (genType x)
| Inverse cotangent function. More...
template<typename genType >
GLM_FUNC_DECL genType | acoth (genType x)
| Inverse cotangent hyperbolic function. More...
template<typename genType >
GLM_FUNC_DECL genType | acsc (genType x)
| Inverse cosecant function. More...
template<typename genType >
GLM_FUNC_DECL genType | acsch (genType x)
| Inverse cosecant hyperbolic function. More...
template<typename genType >
GLM_FUNC_DECL genType | asec (genType x)
| Inverse secant function. More...
template<typename genType >
GLM_FUNC_DECL genType | asech (genType x)
| Inverse secant hyperbolic function. More...
template<typename genType >
GLM_FUNC_DECL genType | cot (genType angle)
| Cotangent function. More...
template<typename genType >
GLM_FUNC_DECL genType | coth (genType angle)
| Cotangent hyperbolic function. More...
template<typename genType >
GLM_FUNC_DECL genType | csc (genType angle)
| Cosecant function. More...
template<typename genType >
GLM_FUNC_DECL genType | csch (genType angle)
| Cosecant hyperbolic function. More...
template<typename genType >
GLM_FUNC_DECL genType | sec (genType angle)
| Secant function. More...
template<typename genType >
GLM_FUNC_DECL genType | sech (genType angle)
| Secant hyperbolic function. More...

## Detailed Description

Include <glm/ext/scalar_reciprocal.hpp> to use the features of this extension.

Define secant, cosecant and cotangent functions.

## Function Documentation

## ◆ acot()

GLM_FUNC_DECL genType acot | ( | genType | x | ) |

Inverse cotangent function.

Returns
  Return an angle expressed in radians.

Template Parameters

  genType | Floating-point scalar or vector types.

See also
  GLM_EXT_scalar_reciprocal

Returns
  Return an angle expressed in radians.

Template Parameters

  genType | Floating-point scalar or vector types.

See also
  GLM_EXT_vector_reciprocal

## ◆ acoth()

GLM_FUNC_DECL genType acoth | ( | genType | x | ) |

Inverse cotangent hyperbolic function.

Returns
  Return an angle expressed in radians.

Template Parameters

  genType | Floating-point scalar or vector types.

See also
  GLM_EXT_scalar_reciprocal

Returns
  Return an angle expressed in radians.

Template Parameters

  genType | Floating-point scalar or vector types.

See also
  GLM_EXT_vector_reciprocal

## ◆ acsc()

GLM_FUNC_DECL genType acsc | ( | genType | x | ) |

Inverse cosecant function.

Returns
  Return an angle expressed in radians.

Template Parameters

  genType | Floating-point scalar or vector types.

See also
  GLM_EXT_scalar_reciprocal

Returns
  Return an angle expressed in radians.

Template Parameters

  genType | Floating-point scalar or vector types.

See also
  GLM_EXT_vector_reciprocal

## ◆ acsch()

GLM_FUNC_DECL genType acsch | ( | genType | x | ) |

Inverse cosecant hyperbolic function.

Returns
  Return an angle expressed in radians.

Template Parameters

  genType | Floating-point scalar or vector types.

See also
  GLM_EXT_scalar_reciprocal

Returns
  Return an angle expressed in radians.

Template Parameters

  genType | Floating-point scalar or vector types.

See also
  GLM_EXT_vector_reciprocal

## ◆ asec()

GLM_FUNC_DECL genType asec | ( | genType | x | ) |

Inverse secant function.

Returns
  Return an angle expressed in radians.

Template Parameters

  genType | Floating-point scalar or vector types.

See also
  GLM_EXT_scalar_reciprocal

Returns
  Return an angle expressed in radians.

Template Parameters

  genType | Floating-point scalar or vector types.

See also
  GLM_EXT_vector_reciprocal

## ◆ asech()

GLM_FUNC_DECL genType asech | ( | genType | x | ) |

Inverse secant hyperbolic function.

Returns
  Return an angle expressed in radians.

Template Parameters

  genType | Floating-point scalar or vector types.

See also
  GLM_EXT_scalar_reciprocal

Returns
  Return an angle expressed in radians.

Template Parameters

  genType | Floating-point scalar or vector types.

See also
  GLM_EXT_vector_reciprocal

## ◆ cot()

GLM_FUNC_DECL genType cot | ( | genType | angle | ) |

Cotangent function.

adjacent / opposite or 1 / tan(x)

Template Parameters

  genType | Floating-point scalar or vector types.

See also
  GLM_EXT_scalar_reciprocal

adjacent / opposite or 1 / tan(x)

Template Parameters

  genType | Floating-point scalar or vector types.

See also
  GLM_EXT_vector_reciprocal

## ◆ coth()

GLM_FUNC_DECL genType coth | ( | genType | angle | ) |

Cotangent hyperbolic function.

Template Parameters

  genType | Floating-point scalar or vector types.

See also
  GLM_EXT_scalar_reciprocal

Template Parameters

  genType | Floating-point scalar or vector types.

See also
  GLM_EXT_vector_reciprocal

## ◆ csc()

GLM_FUNC_DECL genType csc | ( | genType | angle | ) |

Cosecant function.

hypotenuse / opposite or 1 / sin(x)

Template Parameters

  genType | Floating-point scalar or vector types.

See also
  GLM_EXT_scalar_reciprocal

hypotenuse / opposite or 1 / sin(x)

Template Parameters

  genType | Floating-point scalar or vector types.

See also
  GLM_EXT_vector_reciprocal

## ◆ csch()

GLM_FUNC_DECL genType csch | ( | genType | angle | ) |

Cosecant hyperbolic function.

Template Parameters

  genType | Floating-point scalar or vector types.

See also
  GLM_EXT_scalar_reciprocal

Template Parameters

  genType | Floating-point scalar or vector types.

See also
  GLM_EXT_vector_reciprocal

## ◆ sec()

GLM_FUNC_DECL genType sec | ( | genType | angle | ) |

Secant function.

hypotenuse / adjacent or 1 / cos(x)

Template Parameters

  genType | Floating-point scalar or vector types.

See also
  GLM_EXT_scalar_reciprocal

hypotenuse / adjacent or 1 / cos(x)

Template Parameters

  genType | Floating-point scalar or vector types.

See also
  GLM_EXT_vector_reciprocal

## ◆ sech()

GLM_FUNC_DECL genType sech | ( | genType | angle | ) |

Secant hyperbolic function.

Template Parameters

  genType | Floating-point scalar or vector types.

See also
  GLM_EXT_scalar_reciprocal

Template Parameters

  genType | Floating-point scalar or vector types.

See also
  GLM_EXT_vector_reciprocal